#!/bin/bash
echo 'decoding itp.dat ...'
while true
  do
  echo 'booting emacs... Please write your license key string and save the file.'
  read -p 'OK? [yes or no] >' answer
  case $answer in
      yes )
	  break;
	  ;;
      no )
	  echo 'quit.'
	  exit 0
	  ;;
      * )
	  echo 'Please input yes or no.'
	  ;;
  esac
done

if [ -e tmp ] && [ -d tmp ]; then
    keyfile=tmp/keyfile
else
    keyfile=keyfile
fi

if [ -e $keyfile ]; then
    cp $keyfile $keyfile.save
    echo copied from $keyfile to $keyfile.save.
fi

emacs $keyfile
./decode -i itp.dat -o itp.tgz -keyfile $keyfile
rm -f $keyfile

echo 'gunzip itp.tgz and tar -xf itp.tar'
gunzip -c itp.tgz | tar -x

echo 'itp14 and itp50 extracted from itp.tar'

rm -f itp.tgz
echo 'itp.tgz removed.'




