#!/bin/bash
echo 'itp.datを解凍します。'
while true
  do
  echo 'emacsを起動します。起動したらライセンスキーを書いて保存終了してください。'
  read -p 'よろしいですか? ? [yes or no] >' answer
  case $answer in
      yes )
	  break;
	  ;;
      no )
	  echo '終わります。'
	  exit 0
	  ;;
      * )
	  echo 'yesかnoを入力してください。'
	  ;;
  esac
done

if [ -e tmp ] && [ -d tmp ]; then
    keyfile=tmp/keyfile
else
    keyfile=keyfile
fi

if [ -e $keyfile ]; then
    cp $keyfile $keyfile.save
    echo $keyfile'を'$keyfile.save'にコピーしました。'
fi

emacs $keyfile
./decode -i itp.dat -o itp.tgz -keyfile $keyfile
rm -f $keyfile

echo 'つづいて、itp.tgzをgunzipで解凍し、tarでファイルを抽出します・・・'
gunzip -c itp.tgz | tar -x

echo 'itp14とitp50を抽出しました。'

rm -f itp.tgz
echo 'itp.tgzを削除しました。終了しました。'




